module BGSketchup_Components_manager
	def to_java(txt)
		return txt.to_s.gsub("\\","\\\\\\").gsub('"','\\\\"').gsub("'","\\\\'").gsub(13.chr+10.chr,"\\r\\n") if txt!=nil
		return nil
	end
	def initialise_localization(prompt=true)
		@availableLanguages=["en","fr","pt","es","it"]
		@availableLanguagesName=["English","Français","Português","Espanhol","Italiano"]
		@option_langue="en" if @availableLanguages.index(@option_langue)==nil
		#Ask to change translation if system language has been added
		if ((prompt) && (!@option_prompt_my_language_added) && (@option_langue!=Sketchup.os_language) && (@availableLanguages.index(@option_langue)!=nil)) then
			reponse=UI.messagebox("Your system language translation exists for this plugin, do you want to use it ?", MB_YESNO)
			if reponse== IDYES then
				@option_langue=Sketchup.os_language
				self.charger_titres
			end
			@option_prompt_my_language_added=true
		end
		
		# ENGLISH=DEFAULT
			@strWindowName="Component manager"
			@strMenuComposants="Components"
			@strMenuGestionnaireComposants="Components manager"
			@strMenuOption="Options"
			@strMenuVerifierpresence="Check if files exist"
			@strAPropos="BGSketchup Component manager version "+BGSketchup_Components_manager_extension.version+10.chr+13.chr+10.chr+13.chr+"Created on Dec,2013 by BGSketchup."+10.chr+13.chr+10.chr+13.chr+"http://sketchucation.com/forums/viewtopic.php?p=505544#p505544"
			@strPanelOuvrir="Link to file"
			@strPanelEnregistrer="Save component as..."
			@strFichierAncien="Saved file is older!"
			@strFichierRecent="Saved file is newer!"
			@strRemplacerFichierExistant="Overwrite file?"
			@strErreurEnregistrement="Error saving component! Please check file access."
			@strEnregistrementOK = "File saved!"
			@strFichierPasAtteignable="File can't be reached, definition won't be reloaded."
			@strFichierPasAtteignable2="File can't be reached"
			@strEnregistrerDefinitions="Save all components?"
			@strErreurEnregistrementDefinition="Error saving Component "
			@strErreurEnregistrementDefinition2=". Please check access to file ("
			@strMAJDefinitions="Do you want to reload all components?"
			@strGroupe=""
			@strRenommer="Rename"
			@strNouveauNom="New name : "
			@strComposantRenommeEn = "Definition automatically renamed by Sketchup in : "
			@strEditerSketchup ="Component was edit in Sketchup. Update defintion from file ?"
			@strEditerAnnulerEgalRelance="(Cancel = remind me in few seconds !)"
			@strEnregistrerNouvelIndice="Save with new revision level ?"
			@strPasserSiInexistant="Pass if path doesn't exist ?"
			@strNbEnregistementDefinitions="Definitions saved"
			@strMAJComposant="Do you want to update the component '"
			@strCheminNOK = "Can't access path!"
			@strAvancementMAJ="Updating: "
			@strHeureMAJListe= to_java("List update at ")
			@strEn=" in "
			@strSec=" s."
			@strChangePathsToRelative="Change paths to relative "
			@strChangeDateToNow="Change modification dates to now "
			@strDateForAll="Updating definitions data"
			@strModifierLienRelatif="Modify component full path ?"+10.chr+13.chr+10.chr+13.chr+"If you click No, the new path will be saved only as relative path and component won't be uploaded from file. Then do not reload component using Sketchup reload function."
			@translation_library_no_found="Error, BGSketchup_Library extension not found. Please download it from store."
			@translation_library_not_good_version="The extension BGSketchup Library version is too old, please download the latest version on sketchUcation.com"
			@translation_open_link="Do you want to open link to download it ?"
			
			#Options
				@strOui="Yes"
				@strNon="No"
				@strOptions="Options"
				@strOptionsList=["Language : ",
					"Auto-start component manager on start up",
					"Activate component management on SU start up",
					"Show list in tree style",
					"Auto-start : don t load list on start up",
					"List updating frequency when editing a component in new SU instance (in seconds)",
					"Auto-check file paths",
					"Bright red for component OLDER than file",
					"Auto-select instances in model",
					"Auto-select instances in list",
					"Use revision level system",
					"Revision text identification : ",
					"Save window size",
					"Show groups without sub-components",
					"A new version of the plugin is available",
					"Click here"]
				@strOptionsTitles=["Options","General","List","Linked files","Selection","Revision management system","Save","Cancel"]
				@strTreeListOptionToBeSelected="You must unchecked option '"+@strOptionsList[3]+"' in options."


			#HTML text, pay attention to use javscript strings standard
				#List texts
					@strDateFichierPlusAncien=to_java("File is OLDER than component")
					@strDateFichierPlusRecent=to_java("File is NEWER than component")
					@strComposantAJour=to_java("Component up to date")
					@strCheminFichierNOK=to_java("File path doesn't exist")
					@strPasCheminDefintion=to_java("Component has no associated file")
					@strPasDateDefinition=to_java("Component has no defined date")
					@strPasDateOuCheminDefinition=to_java("Component has no defined date or path")
					@strGrey=to_java("Component not verified")
					@strGroupSansNom= to_java("Unnamed Group")
					
				#HTML buttons titles
					@strButtonsTitles = ["Update list",
						"Select component instances",
						"Modify file's path",
						"Save selected component",
						"Reload selected component",
						"Save all components",
						"Reload all components",
						"Filter",
						"Options",
						"About",
						"Set date/path for all"]
					@strContextMenuTitles = [@strButtonsTitles[1],@strButtonsTitles[3],@strButtonsTitles[4],"Edit component","Rename"]
					@strRefreshListMessage=to_java("Please refresh the list")
				
				#HTML Filter window
					@strFilterTitles=["Group",@strGrey,@strComposantAJour,@strPasDateOuCheminDefinition,@strCheminFichierNOK,@strDateFichierPlusRecent,@strDateFichierPlusAncien]
					@strFilterSelectAll=to_java("Select / Unselect all")
					@buttonApply=to_java("Apply")
					@buttonCancel=to_java("Cancel")
					@nothingToShow=to_java("Nothing to show due to filters")
					
				#Html windows name
					@strAbout=to_java("About...")
					@strFilters=to_java("Filters")
			
			

			#FRENCH
			if @option_langue=="fr" then
				@strWindowName="Gestionnaire composant"
				@strMenuComposants="Composants"
				@strMenuGestionnaireComposants="Gestionnaire de composants"
				@strMenuOption="Options"
				@strMenuVerifierpresence="Vérifier l'existance des fichiers"
				@strAPropos="BGSketchup Gestionnaire de composants version "+BGSketchup_Components_manager_extension.version+10.chr+13.chr+10.chr+13.chr+"Créé en Décembre 2013 par BGSketchup."+10.chr+13.chr+10.chr+13.chr+to_java("http://sketchucation.com/forums/viewtopic.php?p=505544#p505544")
				@strPanelOuvrir="Lien vers le fichier"
				@strPanelEnregistrer="Enregistrer la définition sous..."
				@strFichierAncien="Le fichier enregistré est plus ancien"
				@strFichierRecent="Le fichier enregistré est plus récent"
				@strRemplacerFichierExistant="Voulez-vous écraser le fichier existant ?"
				@strErreurEnregistrement="Erreur lors de l'enregistrement de la définition. Veuillez vérifier l'accès au fichier"
				@strEnregistrementOK="Enregistrement correctement effectué"
				@strFichierPasAtteignable="Le fichier n'est pas atteignable, la nouvelle définition ne sera pas chargée"
				@strFichierPasAtteignable2="Le fichier n'est pas atteignable"
				@strEnregistrerDefinitions="Etes-vous sûr de vouloir enregistrer toutes les définitions ?"
				@strErreurEnregistrementDefinition="Erreur lors de l'enregistrement de la définition "
				@strErreurEnregistrementDefinition2=". Veuillez vérifier l'accès au fichier ("
				@strMAJDefinitions="Etes-vous sûr de recharger à jour toutes les définitions ?"
				@strGroupe=""
				@strRenommer="Renommer"
				@strNouveauNom="Nouveau nom : "
				@strComposantRenommeEn = "La definiton a été automatiquement renommée par sketchup en : "
				@strEditerSketchup ="Le composant a été édité dans sketchup. Voulez-vous mettre à jour sa définition ?"
				@strEditerAnnulerEgalRelance="(Annuler = rapeller dans quelques instant de mettre à jour)"
				@strEnregistrerNouvelIndice="Voulez-vous enregistrer dans un nouvel indice ?"
				@strPasserSiInexistant="Passer si chemin inexistant ?"
				@strNbEnregistementDefinitions="Enregistrement des définitions effectuées"
				@strMAJComposant="Voulez-vous mettre à jour le composant '"
				@strCheminNOK = "Le chemin n'est pas accessible !"
				
				#Options
					@strOui="Oui"
					@strNon="Non"
					@strOptions="Options"
					@strOptionsList=["Langue : ",
						"Démarrer le gestionnaire avec Sketchup",
						"Activer la gestion des composant avec Sketchup",
						"Liste sous forme d'arbre",
						"Ne pas mettre la liste à jour au démarrage",
						"Fréquence de mise à jour si édition composant dans nouvelle instance Skectup (en secondes)",
						"Vérfier automatiquement les fichiers",
						"Rouge vif pour composant plus vieux que le fichier",
						"Selectionner automatiquement le composant dans le modèle",
						"Selectionner automatiquement le composant dans la liste",
						"Utiliser le système d'indice",
						"Texte identifiant l'indice : ",
						"Enregistrer taille de la fenêtre",
						"Montrer aussi les groupes ne contenant pas de composant",
						"Une nouvelle version du plugin est disponible",
						"Cliquez ici"]
					@strOptionsTitles=["Options","Général","Liste","Fichiers liés","Sélection","Gestion des indices","Enregistrer","Annuler"]
					@strTreeListOptionToBeSelected="Vous devez décocher l'option '"+@strOptionsList[3]+"' dans les options."
					
				#Texte HTML, attention de respecter les règles du javascript pour les chaînes de caractère
					#List texts
						@strDateFichierPlusAncien=to_java("Le fichier est plus ANCIEN que le composant")
						@strDateFichierPlusRecent=to_java("Le fichier est plus RECENT que le composant")
						@strComposantAJour=to_java("Composant à jour")
						@strCheminFichierNOK=to_java("Le lien vers la définition n'existe pas")
						@strPasDateDefinition=to_java("Pas de date définie dans la définition")
						@strPasCheminDefintion=to_java("Pas de chemin définit dans la définition")
						@strPasDateOuCheminDefinition=to_java("Pas de date ou chemin défini dans la définition")
						@strGrey=to_java("Composant non vérifié")
						@strGroupSansNom= to_java("Groupe sans nom")
						@strHeureMAJListe= to_java("Liste mise à jour à ")
						@strEn=" en "
						@strSec=" s."
					
					#Titres des boutons de la page HTML
						@strButtonsTitles = ["Mise à jour de la liste",
							"Sélectionner le composant",
							"Modifier le chemin de la définition",
							"Enregistrer la définition sélectionnée",
							"Recharger la définition sélectionnée",
							"Enregistrer toutes les définitions",
							"Recharger toutes les définitions",
							"Filtrer",
							"Options",
							"A propos",
							"Définir la date ou le chemin de tous les composants"]
						@strContextMenuTitles = [@strButtonsTitles[1],@strButtonsTitles[3],@strButtonsTitles[4],"Modifier composant","Renommer"]
						@strRefreshListMessage=to_java("Merci de rafraîchir la liste")
						
					#HTML Filter window
						@strFilterTitles=["Groupe",@strGrey,@strComposantAJour,@strPasDateOuCheminDefinition,@strCheminFichierNOK,@strDateFichierPlusRecent,@strDateFichierPlusAncien]
						@strFilterSelectAll=to_java("Sélectionner / Désélectionner tout")
						@buttonApply=to_java("Apply")
						@buttonCancel=to_java("Cancel")
						@nothingToShow=to_java("Rien à afficher dans cette liste à cause des filtres")
						
					#Html windows name
						@strAbout=to_java("A propos...")
						@strFilters=to_java("Filtres")

			elsif @option_langue=="es" then
				@strWindowName="Gestor de Componentes"
				@strMenuComposants="Componentes"
				@strMenuGestionnaireComposants="Gestor de Componentes"
				@strMenuOption="Opciones"
				@strMenuVerifierpresence="Revisar si existen archivos"
				@strAPropos="BGSketchup Versión de Gestor de Componente "+BGSketchup_Components_manager_extension.version+10.chr+13.chr+10.chr+13.chr+"Creado en Diciembre de 2013 por BGSketchup."+10.chr+13.chr+10.chr+13.chr+to_java("http://sketchucation.com/forums/viewtopic.php?p=505544#p505544")
				@strPanelOuvrir="Enlazar a Archivo"
				@strPanelEnregistrer="Guardar componente como..."
				@strFichierAncien="¡El archivo guardado es más viejo!"
				@strFichierRecent="¡El archivo guardado es más nuevo!"
				@strRemplacerFichierExistant="¿Sobreescribir archivo?"
				@strErreurEnregistrement="¡Error guardando componente! Por vaor revisa el acceso al archivo."
				@strEnregistrementOK = "¡Archivo guardado!"
				@strFichierPasAtteignable="No se pudo acceder al archivo, la definición no se recargará."
				@strFichierPasAtteignable2="No se pudo acceder al archivo"
				@strEnregistrerDefinitions="¿Guardar todos los componentes?"
				@strErreurEnregistrementDefinition="Error guardando Componente "
				@strErreurEnregistrementDefinition2=". Por favor revisa el acceso al archivo ("
				@strMAJDefinitions="¿Quieres recargar todos los componentes?"
				@strGroupe=""
				@strRenommer="Renombrar"
				@strNouveauNom="Nuevo Nombre:      "
				@strComposantRenommeEn = "Definición renombrada automáticamente por Sketchup en: "
				@strEditerSketchup ="El Componente fue editado en Sketchup. ¿ Actualizar definición desde archivo ?"
				@strEditerAnnulerEgalRelance="(¡Cancelar = recordarmelo en pocos segundos!)"
				@strEnregistrerNouvelIndice="¿Guardar con nuevo nivel de revisión?"
				@strPasserSiInexistant="¿Pasar si la ruta no existe?"
				@strNbEnregistementDefinitions="Definiciones guardadas"
				@strMAJComposant="¿Quieres actualizar el componente '"
				@strCheminNOK = "¡No se puede acceder a la ruta!"
				@strAvancementMAJ="Actualizando: "
				@strHeureMAJListe= to_java("Lista actualizada a las ")
				@strEn=" en "
				@strSec=" s."
				@strChangePathsToRelative="Cambiar rutas a relativas "
				@strChangeDateToNow="Cambiar fechas de modificación a ahora              "
				@strDateForAll="Actualizando datos de definiciones"
				@strModifierLienRelatif="¿ Modificar ruta completa de componente ?"+10.chr+13.chr+10.chr+13.chr+"Si haces clic en No, la nueva ruta se guardará sólo como una ruta relativa y el componente no se podrá cargar desde el archivo. Entonces no recargar componente usando la función recargar de Sketchup."

				#Options
					@strOui="Si"
					@strNon="No"
					@strOptions="Opciones"
					@strOptionsList=["Idioma : ",
						"Auto-inicio Gestor de Componente al inicio",
						"Activar Gestor de Componente al iniciar SU",
						"Mostrar Lista en Estilo Árbol",
						"Auto-inicio : no cargar lista al inicio",
						"Frecuencia actualización Lista cuando se edita componente en nueva instancia SU (segundos)",
						"Auto-revisar rutas de archivo",
						"Rojo vivo para componente MÁS VIEJO que archivo",
						"Auto-seleccionar Instancias en Modelo",
						"Auto-seleccionar Instancias en Lista",
						"Usar Sistema Nivel de Revisión",
						"Identificación texto de Revisión: ",
						"Guardar tamaño y posición de ventana",
						"Mostrar Grupos sin Sub-Componentes",
						"Una nueva versión del plugin está disponible",
						"Haga clic aquí"]
					@strOptionsTitles=["Opciones","General","Lista","Archivos Enlazados","Selección","Sistema Gestión de Revisión","Guardar","Cancelar"]
					@strTreeListOptionToBeSelected="Debes desmarcar la opción '"+@strOptionsList[3]+"' en Opciones."

				#HTML text, pay attention to javscript string standards
				#List texts
					@strDateFichierPlusAncien=to_java("El archivo es más VIEJO que el componente")
					@strDateFichierPlusRecent=to_java("El archivo es más NUEVO que el componente")
					@strComposantAJour=to_java("Componente está actualizado")
					@strCheminFichierNOK=to_java("La ruta del archivo no existe")
					@strPasCheminDefintion=to_java("El Componente no tiene archivo asociado")
					@strPasDateDefinition=to_java("El Componente no tiene fecha definida")
					@strPasDateOuCheminDefinition=to_java("El Componente no tiene fecha o archivo definida")
					@strGrey=to_java("Componente no verificado")
					@strGroupSansNom= to_java("Grupo Sin nombre")
					
				#HTML buttons titles
					@strButtonsTitles = ["Actualizar Lista",
						"Seleccionar instancias de componente",
						"Modificar ruta de archivo",
						"Guardar componente seleccionado",
						"Recargar componentes seleccionado",
						"Guardar todos los componentes",
						"Recargar todos los componentes",
						"Filtro",
						"Opciones",
						"Acerca de",
						"Ajustar Fecha/Ruta para Todo"]
					@strContextMenuTitles = [@strButtonsTitles[1],@strButtonsTitles[3],@strButtonsTitles[4],"Editar componente","Renombrar"]
					@strRefreshListMessage=to_java("Por favor actualiza la lista")
					
				#HTML Filter window
					@strFilterTitles=["Grupo",@strGrey,@strComposantAJour,@strPasDateOuCheminDefinition,@strCheminFichierNOK,@strDateFichierPlusRecent,@strDateFichierPlusAncien]
					@strFilterSelectAll=to_java("Seleccionar / Deseleccionar Todo")
					@buttonApply=to_java("Aplicar")
					@buttonCancel=to_java("Cancelar")
					@nothingToShow=to_java("Nada para mostrar debido a los filtros")
				
				#Html windows name
					@strAbout=to_java("Acerca de...")
					@strFilters=to_java("Filtros")
					
			elsif @option_langue=="pt" then
				@strWindowName="Gestor de Componentes"
				@strMenuComposants="Componentes"
				@strMenuGestionnaireComposants="Gestor de Componentes"
				@strMenuOption="Opções"
				@strMenuVerifierpresence="Verificar se os ficheiros existem"
				@strAPropos="BGSketchup Versão do Gestor de Componentes  "+BGSketchup_Components_manager_extension.version+10.chr+13.chr+10.chr+13.chr+"Criado em Dezembro de 2013 por BGSketchup."+10.chr+13.chr+10.chr+13.chr+to_java("http://sketchucation.com/forums/viewtopic.php?p=505544#p505544")
				@strPanelOuvrir="Ligação ao ficheiro"
				@strPanelEnregistrer="Guardar componente como..."
				@strFichierAncien="Ficheiro gravado é mais antigo"
				@strFichierRecent="Ficheiro gravado é mais novo"
				@strRemplacerFichierExistant="Substituir ficheiro?"
				@strErreurEnregistrement="Erro a gravar componente! Por favor, Verifique as permissões de acesso ao ficheiro!"
				@strEnregistrementOK = "Ficheiro gravado!"
				@strFichierPasAtteignable="O ficheiro não foi encontrado, o componente não será actualizado."
				@strFichierPasAtteignable2="O ficheiro não foi encontrado"
				@strEnregistrerDefinitions="Gravar todos os componentes?"
				@strErreurEnregistrementDefinition="Erro a gravar componente "
				@strErreurEnregistrementDefinition2=". Por favor verifique o acesso ao ficheiro ("
				@strMAJDefinitions="Quer recarregar todos os componentes?"
				@strGroupe=""
				@strRenommer="Rename"
				@strNouveauNom="New name : "
				@strComposantRenommeEn = "Definition automatically renamed by Sketchup in : "
				@strEditerSketchup ="Component was edit in Sketchup. Update defintion from file ?"
				@strEditerAnnulerEgalRelance="(Cancel = remind me in few seconds !)"
				@strEnregistrerNouvelIndice="Save with new revision level ?"
				@strFrequenceRappelMAJ="Frequency to ask updating list (in seconds) : "
				@strPasserSiInexistant="Pass if path doesn't exist ?"
				@strNbEnregistementDefinitions="Definitions saved"
				
				#Options
					@strOui="Sim"
					@strNon="Não"
					@strOptions="Opções"
					@strOptionsList=["Language : ",
						"Auto-start component manager on start up",
						"Activate component management on SU start up",
						"Show list in tree style",
						"Auto-start : don t load list on start up",
						"List updating frequency when editing a component in new SU instance (in seconds)",
						"Auto-check file paths",
						"Bright red for component OLDER than file",
						"Auto-select instances in model",
						"Auto-select instances in list",
						"Use revision level system",
						"Revision text identification : ",
						"Save window size",
						"Show groups without sub-components",
						"A nova versão do plugin está disponível",
						"Clique aqui"]
					@strOptionsTitles=["Options","General","List","Linked files","Selection","Revision management system","Save","Cancel"]
					@strTreeListOptionToBeSelected="You must unchecked option '"+@strOptionsList[3]+"' in options."
					
				#HTML text, pay attention to javscript string standards
					@strDateFichierPlusAncien=to_java("O ficheiro é mais ANTIGO que o componente")
					@strDateFichierPlusRecent=to_java("O ficheiro é mais NOVO que o componente")
					@strComposantAJour=to_java("componente é atualizado")
					@strCheminFichierNOK=to_java("O caminho do ficheiro não existe")
					@strPasCheminDefintion=to_java("O componente não tem um ficheiro associado")
					@strPasDateDefinition=to_java("O componente não tem data definida")
					@strPasDateOuCheminDefinition=to_java("O Componente não tem data ou ficheiro definido")
					@strGrey=to_java("Component not verified")
					@strGroupSansNom= to_java("Grupo sem nome")
					@strHeureMAJListe= to_java("List updated at ")
					@strEn=" em "
					@strSec=" s."
				#HTML buttons titles
					@strButtonsTitles = [
						"Actualizar lista",
						"Seleccionar cópias do componente",
						"Modificar caminho do ficheiro",
						"Gravar componente seleccionado",
						"Recarregar componente seleccionado",
						"Gravar todos os componentes",
						"Recarregar todos os componentes",
						"Filtro",
						"Opções",
						"Sobre",
						"Set date/path for all"]
					@strContextMenuTitles = [@strButtonsTitles[1],@strButtonsTitles[3],@strButtonsTitles[4],"Edit component","Rename"]
					@strRefreshListMessage=to_java("Please refresh the list")
				#HTML Filter window	
					@strFilterTitles=["Groupo",@strGrey,@strComposantAJour,@strPasDateOuCheminDefinition,@strCheminFichierNOK,@strDateFichierPlusRecent,@strDateFichierPlusAncien]
					@strFilterSelectAll=to_java("Seleccionar / Deseleccionar todo")
					@buttonApply=to_java("Aplicar")
					@buttonCancel=to_java("Cancelar")
					@nothingToShow=to_java("Nada para mostrar devido aos filtros")
				#Html windows name
					@strAbout=to_java("Acerca de...")
					@strFilters=to_java("Filtros")
			
			elsif @option_langue=="it" then
				@strWindowName="Gestore dei componenti"
				@strMenuComposants="Componenti"
				@strMenuGestionnaireComposants="Gestore dei componenti"
				@strMenuOption="Opzioni"
				@strMenuVerifierpresence="Verificare se il file esiste"
				@strAPropos="Versione del gestore dei componenti BGSketchup  "+BGSketchup_Composants_extension.version+10.chr+13.chr+10.chr+13.chr+"Creato in Dicembre 2013 da BGSketchup."+10.chr+13.chr+10.chr+13.chr+bgSketchup_to_java("http://sketchucation.com/forums/viewtopic.php?p=505544#p505544")
				@strPanelOuvrir="Link al file"
				@strPanelEnregistrer="Salvare il componente come ... "
				@strFichierAncien="Il file salvato è più vecchio!"
				@strFichierRecent="Il file salvato è più nuovo!"
				@strRemplacerFichierExistant="Sovrascrivere il file?"
				@strErreurEnregistrement="Errore nel salvataggio del componente! Verificare il permesso di accesso al file!"
				@strEnregistrementOK = "File salvato!"
				@strFichierPasAtteignable="Impossibile raggiungere l'indirizzo del file , il componente non sarà salvato."
				@strFichierPasAtteignable2="Impossibile raggiugnere indirizzo del file"
				@strEnregistrerDefinitions="Salvare tutti i componenti ?"
				@strErreurEnregistrementDefinition="Errore nel salvataggio "
				@strErreurEnregistrementDefinition2=". Verificare accesso al file ("
				@strMAJDefinitions="Ricaricare tutti i componenti ?"
				@strGroupe=""
				@strRenommer="Rinominare"
				@strNouveauNom="Nuovo nome : "
				@strComposantRenommeEn = "Definizione rinominata automaticamente da Sketchup in : "
				@strEditerSketchup ="Componente modificato n Sketchup. Aggiornare la definizione dal file ?"
				@strEditerAnnulerEgalRelance="(Cancella = ricordamelo tra poco !)"
				@strEnregistrerNouvelIndice="Salvare con un nuovo livello ? "
				@strFrequenceRappelMAJ="Ritardo nella richiesta  per l'aggiornamento (in secondi) : "
				@strPasserSiInexistant="Proseguire se il path non esiste ?"
				@strNbEnregistementDefinitions="Definizione salvata"
				@strMAJComposant="Vuoi aggiornare il componente? "
				@strCheminNOK = "Impossibile raggiungere il path!"
				@strAvancementMAJ="Aggioranamento: "
				@strHeureMAJListe= bgSketchup_to_java("Lista aggiornata ")
				@strEn=" in "
				@strSec=" s."
				@strChangePathsToRelative="Modificare nel path relativo "
				@strChangeDateToNow="Aggiornare la data del file alla data attuale ? "
				@strDateForAll="Aggiornamento dati di definizione"
				@strModifierLienRelatif="Modificare il path completo del componente?"+10.chr+13.chr+10.chr+13.chr+"Selezionando NO l'indirizzo sarà salvato solo come path relativo e il componente non sarà caricato dal file. Quindi non riaggiornare il componente con la funzione aggiorna di Sketchup."
			
				#Options
					@strOui="Si"
					@strNon="No"
					@strOptions="Opzioni"
					@strOptionsList=["Lingua : ",
						"Attivazione automatica della gestione componenti all'accensione",
						"Attivazione automatica della gestione componenti all'attivazione di SU",
						"Mostra la lista ad albero ",
						"Non aggiornare automaticamente alla attivazione ",
						"Frequenza di aggioranmento quando una nuova istanza è editata in SU (in secondi)",
						"Controllo automatico del path del file",
						"Rosso brillante per i componenti più vecchi del file",
						"Selezionare automaticamente i componenti nel modello ",
						"Selezionare automaticamente i componenti nella lista",
						"Utilizzare il metodo per revisione",
						"Testo utilizzato per indice revisione: ",
						"Salva dimensione finestra",
						"Mostrare anche i gruppi senza sotto componenti",
						"Una nuova versione del plugin è disponibile",
						"Clicca qui"]
					@strOptionsTitles=["Opzioni","Generale","Lista","File collegati","Seleziona","Gestione degli indici ","Salva","Cancella"]
					@strTreeListOptionToBeSelected="Devi deselezionare l'opzione '"+@strOptionsList[3]+"' nella sezione opzioni."
					
				#HTML text, pay attention to javscript string standards
					@strDateFichierPlusAncien=bgSketchup_to_java("Il file è più vecchio del componente")
					@strDateFichierPlusRecent=bgSketchup_to_java("Il file è più nuovo del componente")
					@strComposantAJour=bgSketchup_to_java("Il componente è aggioranto ")
					@strCheminFichierNOK=bgSketchup_to_java("Il path del file non esiste")
					@strPasCheminDefintion=bgSketchup_to_java("Il componente non ha un file associato")
					@strPasDateDefinition=bgSketchup_to_java("Il componente non ha una data definita")
					@strPasDateOuCheminDefinition=bgSketchup_to_java("Il componente non ha data o path definiti ")
					@strGrey=bgSketchup_to_java("Componente non verificato")
					@strGroupSansNom= bgSketchup_to_java("Gruppo senza nome")
					@strHeureMAJListe= bgSketchup_to_java("Lista aggiornata ")
					@strEn=" in "
					@strSec=" s."
				#HTML buttons titles
					@strButtonsTitles = [
						"Aggiornare la lista",
						"Selezionare istanze del componente",
						"Modificare il path del file",
						"Ricaricare il componente selezionato",
						"Salvare il componente",
						"Ricaricare tutti i componenti",
						"Salvare tutti i componenti",
						"Filtro",
						"Opzioni",
						"a proposito di ",
						"Imposta data/path per tutto"]
					@strContextMenuTitles = [@strButtonsTitles[1],@strButtonsTitles[3],@strButtonsTitles[4],"Modifica component","Rinomina"]
					@strRefreshListMessage=bgSketchup_to_java("Per cortesia riaggiornare la lista")
				#HTML Filter window	
					@strFilterTitles=["Gruppo",@strGrey,@strComposantAJour,@strPasDateOuCheminDefinition,@strCheminFichierNOK,@strDateFichierPlusRecent,@strDateFichierPlusAncien]
					@strFilterSelectAll=bgSketchup_to_java("Selezionare / Deselezionare tutto")
					@buttonApply=bgSketchup_to_java("Esegui")
					@buttonCancel=bgSketchup_to_java("Cancella")
					@nothingToShow=bgSketchup_to_java("Nulla da mostrare a causa del filtro ")
				#Html windows name
					@strAbout=bgSketchup_to_java("A proposito di ...")
					@strFilters=bgSketchup_to_java("Filtro")
			
					
			end
	end
end